Bug 22667 - Framework cannot override syspref for cn_source when receiving serials
Summary: Framework cannot override syspref for cn_source when receiving serials
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-08 19:35 UTC by Andrew Fuerste-Henry
Modified: 2019-10-08 13:03 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 22667: Pick default value from framework for cn_source (1.50 KB, patch)
2019-04-30 17:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22667: Pick default value from framework for cn_source (1.56 KB, patch)
2019-10-03 09:23 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 22667: Pick default value from framework for cn_source (1.62 KB, patch)
2019-10-07 20:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2019-04-08 19:35:45 UTC
When creating an item as part of receiving in serials (serials-edit.pl), the source of classification will always follow the DefaultClassificationSource system preference. 

In contrast, when creating an item via additem.pl we can specify a default value via the framework that differs from the DefaultClassificationSource syspref.

This discrepancy prevents libraries from easily applying a different classification source for their serials than they use for the rest of their collection.
Comment 1 Andrew Fuerste-Henry 2019-04-08 19:38:16 UTC
Oh, I forgot to include the fact that default values for *other* 952 subfields are correctly applied from the framework when creating an item via serials. The 952$2, source of classification, appears to be an exception.
Comment 2 Jonathan Druart 2019-04-30 17:59:47 UTC
Created attachment 89148 [details] [review]
Bug 22667: Pick default value from framework for cn_source

If the cn_source has a default value defined in the framework it will
not be used when ordering or receiving serials.

Test plan:
Set the pref DefaultClassificationSource to Library of congress
Define a default value=ddc (for Dewey) for the ACQ and default framework
Receive an order (AcqCreateItem=on ordering) and confirm that Dewey is
selected by default (the default value from the ACQ framework is used)
Receive a serial and confirm that Dewey is selected by default
Comment 3 Brendan Gallagher 2019-10-03 09:23:48 UTC
Created attachment 93540 [details] [review]
Bug 22667: Pick default value from framework for cn_source

If the cn_source has a default value defined in the framework it will
not be used when ordering or receiving serials.

Test plan:
Set the pref DefaultClassificationSource to Library of congress
Define a default value=ddc (for Dewey) for the ACQ and default framework
Receive an order (AcqCreateItem=on ordering) and confirm that Dewey is
selected by default (the default value from the ACQ framework is used)
Receive a serial and confirm that Dewey is selected by default

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>
Comment 4 Katrin Fischer 2019-10-07 20:19:47 UTC
Created attachment 93849 [details] [review]
Bug 22667: Pick default value from framework for cn_source

If the cn_source has a default value defined in the framework it will
not be used when ordering or receiving serials.

Test plan:
Set the pref DefaultClassificationSource to Library of congress
Define a default value=ddc (for Dewey) for the ACQ and default framework
Receive an order (AcqCreateItem=on ordering) and confirm that Dewey is
selected by default (the default value from the ACQ framework is used)
Receive a serial and confirm that Dewey is selected by default

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2019-10-08 13:03:20 UTC
Nice work!

Pushed to master for 19.11.00